# $Revision: 1.21 $, $Date: 2010/05/30 12:39:30 $
%define		package	bwidget
Summary:	High-level Widget Set for Tcl/Tk
Summary(pl.UTF-8):	Wysokopoziomowy zestaw widgetów dla Tcl/Tk
Name:		tk-BWidget
Version:	1.9.0
Release:	2
License:	TCL
Group:		Development/Libraries
Source0:	http://dl.sourceforge.net/tcllib/BWidget-%{version}.tar.gz
# Source0-md5:	d4d31f0279c87b024aa3f900a8cbf549
URL:		http://sourceforge.net/projects/tcllib/
BuildRequires:	rpmbuild(macros) >= 1.517
BuildRequires:	sed >= 4.0
BuildRequires:	tcl >= 8.4
Requires:	tcl >= %{tcl_version}
Requires:	tk >= 8.3.3
Obsoletes:	tcl-bwidget
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The BWidget Toolkit is a high-level Widget Set for Tcl/Tk built using
native Tcl/Tk 8.x namespaces.

The BWidgets have a professional look&feel as in other well known
Toolkits (Tix or Incr Widgets), but the concept is radically different
because everything is pure Tcl/Tk. No platform dependencies, and no
compiling required. The code is 100% Pure Tcl/Tk.

%description -l pl.UTF-8
BWidget Toolkit to wysokopoziomowy zestaw widgetów dla Tcl/Tk
zbudowany przy użyciu natywnych przestrzeni nazw Tcl/Tk 8.x.

BWidgets mają profesjonalny wygląd jak w innych dobrze znanych
toolkitach (Tix lub Incr Widgets), ale koncepcyjnie są całkowicie
inne, ponieważ wszystko jest czystym Tcl/Tk. Nie ma zależności od
platformy, nie wymagają kompilacji. Kod jest w 100% czystym Tcl/Tk.

%prep
%setup -q -n BWidget-%{version}
%{__sed} -i 's/\r//' LICENSE.txt

%install
rm -rf $RPM_BUILD_ROOT
# Don't bother with the included configure script and Makefile.  They
# are missing a lot of pieces and won't work at all.  Installation is
# pretty simple, so we can just do it here manually.
install -d $RPM_BUILD_ROOT%{tcl_sitelib}/%{package}%{version}/{lang,images}
cp -a *.tcl $RPM_BUILD_ROOT%{tcl_sitelib}/%{package}%{version}
cp -a lang/*.rc $RPM_BUILD_ROOT%{tcl_sitelib}/%{package}%{version}/lang
cp -a images/*.gif images/*.xbm $RPM_BUILD_ROOT%{tcl_sitelib}/%{package}%{version}/images

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a demo/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt ChangeLog LICENSE.txt README.txt BWman/*.html
%dir %{tcl_sitelib}/%{package}%{version}
%{tcl_sitelib}/%{package}%{version}/*.tcl
%{tcl_sitelib}/%{package}%{version}/images
%dir %{tcl_sitelib}/%{package}%{version}/lang
%{tcl_sitelib}/%{package}%{version}/lang/en.rc
%lang(da) %{tcl_sitelib}/%{package}%{version}/lang/da.rc
%lang(de) %{tcl_sitelib}/%{package}%{version}/lang/de.rc
%lang(es) %{tcl_sitelib}/%{package}%{version}/lang/es.rc
%lang(fr) %{tcl_sitelib}/%{package}%{version}/lang/fr.rc
%lang(hu) %{tcl_sitelib}/%{package}%{version}/lang/hu.rc
%lang(nl) %{tcl_sitelib}/%{package}%{version}/lang/nl.rc
%lang(no) %{tcl_sitelib}/%{package}%{version}/lang/no.rc
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tk-BWidget.spec,v $
Revision 1.21  2010/05/30 12:39:30  hawk
- release 2

Revision 1.20  2010/03/15 10:00:08  amateja
- updated to 1.9.0

Revision 1.19  2009/09/02 13:47:28  glen
- fix duplicate files; rel 3

Revision 1.18  2009/09/02 11:30:01  glen
- merged with tcl-bwidget; rel 2

Revision 1.17  2007/08/19 08:50:10  ankry
- sorted

Revision 1.16  2007/08/03 02:30:33  wolvverine
- up to 1.8.0

Revision 1.15  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.13  2004/10/29 13:36:57  paladine
- spelling fixes

Revision 1.12  2004/08/19 08:06:45  qboosh
- unification: use _ulibdir macro

Revision 1.11  2004/08/18 21:54:17  havner
- rel 4, stupid tags

Revision 1.10  2004/08/18 21:37:03  havner
- wrrr

Revision 1.9  2004/08/18 21:34:55  havner
- until somebody(tm) fixes it, tcl files are kept (inproperly)
  in /usr/lib, even on amd64, this dir has to be changed to /usr/share
  but all tk/tcl packages needs to be fixed
- rel 2

Revision 1.8  2003/12/30 20:13:17  qboosh
- updated to 1.7.0

Revision 1.7  2003/07/07 11:17:08  wiget
- updated to 1.6.0

Revision 1.6  2003/05/28 13:02:16  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:27:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/12 09:54:55  qboosh
- working Source URL, minor fixes where needed

Revision 1.3  2003/01/19 22:21:39  qboosh
- pl description

Revision 1.2  2003/01/13 07:54:01  jajcus
- source tarball name, and directory fixed

Revision 1.1  2003/01/11 16:48:13  jajcus
- proper summary and description
- renamed from BWidget to tk-BWidget

Revision 1.1  2003/01/10 20:47:49  jajcus
- initial spec
